# Created by pyp2rpm-3.3.7
%global pypi_name ldapmonitor
%global pypi_version 0.0.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}
Summary:        top like tool to monitor ldap servers

License:        GPLv3
URL:            https://gitlab.com/fager/ldapmonitor
Source0:        https://gitlab.com/fager/ldapmonitor/-/archive/%{pypi_version}/ldapmonitor-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
ldapmonitor is a top-like tool to monitor ldap-servers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
ldapmonitor is a top-like tool to monitor ldap-servers.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.adoc
%attr(4755, root, root) %{_bindir}/ldapmonitor
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sat May 28 2022 Frank Agerholm <frank@agerholm.de> - 0.0.9
- New upstream release 0.0.9

* Mon Mar 28 2022 Frank Agerholm <frank@agerholm.de> - 0.0.1
- First Release of a new tool

